Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.session.renew
Class AbstractRenewStrategy

    java.lang.Object
      be.ehealth.technicalconnector.session.renew.AbstractRenewStrategy

All Implemented Interfaces:
  RenewStrategy, SessionServiceWithCache

Direct Known Subclasses:
  SlidingWindowRenewStrategy, TokenExpiredRenew

    public abstract class AbstractRenewStrategy

extends Object
implements RenewStrategy

Field Summary

Fields inherited from interface be.ehealth.technicalconnector.session.renew.RenewStrategy
`DEFAULT_VALIDITY_TOKEN, PROP_AUTO_RENEW, PROP_VALIDITY_TOKEN`

Constructor Summary
`AbstractRenewStrategy()`

Method Summary
`void` | `flushCache()` Method to flush the cache after invoking this method.
`List<SessionServiceWithCache>` | `getCacheServices()`
`void` | `register(SessionServiceWithCache serviceWithCache)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.session.renew.RenewStrategy
`renew`

Constructor Detail

### AbstractRenewStrategy

    public AbstractRenewStrategy()

Method Detail

### register

    public void register(SessionServiceWithCache serviceWithCache)

  Specified by:
    `register` in interface `RenewStrategy`

### flushCache

    public void flushCache()

  Description copied from interface: `SessionServiceWithCache`
  Method to flush the cache after invoking this method.

  Specified by:
    `flushCache` in interface `SessionServiceWithCache`

### getCacheServices

    public List<SessionServiceWithCache> getCacheServices()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.